Skip to main content
GET
List approval requests

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Headers

akua-context
string

Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens — a workspace-owned token implies its workspace.

Required string length: 1 - 53
Example:

"ws_j572abc123def456"

Query Parameters

cursor
string
limit
integer
default:50
Required range: 1 <= x <= 100
state
enum<string>

Filter approval requests by lifecycle state.

Available options:
PENDING,
APPROVED,
REJECTED
Example:

"PENDING"

agent
string

Filter approval requests for one agent.

Required string length: 1 - 54
Example:

"agt_j572abc123def456"

session
string

Filter approval requests for one agent session.

Required string length: 1 - 54
Example:

"ags_j572abc123def456"

Response

Approval request list

data
object[]
required
has_more
boolean
required

True if more items exist after this page.

next_cursor
string | null
required

Opaque cursor for the next page, or null if no more pages.